com.sun.messaging.jms.management.server

## Class ServiceAttributes

- java.lang.Object
- - com.sun.messaging.jms.management.server.ServiceAttributes

    public class ServiceAttributes
    extends Object

Class containing information on service attributes.

### Field Summary

Fields
`static String` `MAX_THREADS` Max threads
`static String` `MIN_THREADS` Min threads
`static String` `MSG_BYTES_IN` Msg bytes in
`static String` `MSG_BYTES_OUT` Msg bytes out
`static String` `NAME` Service Name
`static String` `NUM_ACTIVE_THREADS` Number of active threads
`static String` `NUM_CONNECTIONS` Number of connections
`static String` `NUM_CONNECTIONS_OPENED` Number of connections created
`static String` `NUM_CONNECTIONS_REJECTED` Number of connections rejected
`static String` `NUM_CONSUMERS` Number of consumers
`static String` `NUM_MSGS_IN` Number of msgs in
`static String` `NUM_MSGS_OUT` Number of msgs out
`static String` `NUM_PKTS_IN` Number of pkts in
`static String` `NUM_PKTS_OUT` Number of pkts out
`static String` `NUM_PRODUCERS` Number of producers
`static String` `NUM_SERVICES` Number of services
`static String` `PKT_BYTES_IN` Pkt bytes in
`static String` `PKT_BYTES_OUT` Pkt bytes out
`static String` `PORT` Port
`static String` `STATE` Service State
`static String` `STATE_LABEL` String representation of service state
`static String` `THREAD_POOL_MODEL` Thread pool model

### Method Summary

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### NAME

    public static final String NAME

Service Name

See Also:
  Constant Field Values

#### STATE

    public static final String STATE

Service State

See Also:
  Constant Field Values

#### STATE_LABEL

    public static final String STATE_LABEL

String representation of service state

See Also:
  Constant Field Values

#### MAX_THREADS

    public static final String MAX_THREADS

Max threads

See Also:
  Constant Field Values

#### MIN_THREADS

    public static final String MIN_THREADS

Min threads

See Also:
  Constant Field Values

#### NUM_CONNECTIONS_OPENED

    public static final String NUM_CONNECTIONS_OPENED

Number of connections created

See Also:
  Constant Field Values

#### NUM_CONNECTIONS_REJECTED

    public static final String NUM_CONNECTIONS_REJECTED

Number of connections rejected

See Also:
  Constant Field Values

#### PORT

    public static final String PORT

Port

See Also:
  Constant Field Values

#### MSG_BYTES_IN

    public static final String MSG_BYTES_IN

Msg bytes in

See Also:
  Constant Field Values

#### MSG_BYTES_OUT

    public static final String MSG_BYTES_OUT

Msg bytes out

See Also:
  Constant Field Values

#### NUM_ACTIVE_THREADS

    public static final String NUM_ACTIVE_THREADS

Number of active threads

See Also:
  Constant Field Values

#### NUM_MSGS_IN

    public static final String NUM_MSGS_IN

Number of msgs in

See Also:
  Constant Field Values

#### NUM_MSGS_OUT

    public static final String NUM_MSGS_OUT

Number of msgs out

See Also:
  Constant Field Values

#### NUM_PKTS_IN

    public static final String NUM_PKTS_IN

Number of pkts in

See Also:
  Constant Field Values

#### NUM_PKTS_OUT

    public static final String NUM_PKTS_OUT

Number of pkts out

See Also:
  Constant Field Values

#### NUM_SERVICES

    public static final String NUM_SERVICES

Number of services

See Also:
  Constant Field Values

#### NUM_CONNECTIONS

    public static final String NUM_CONNECTIONS

Number of connections

See Also:
  Constant Field Values

#### NUM_CONSUMERS

    public static final String NUM_CONSUMERS

Number of consumers

See Also:
  Constant Field Values

#### NUM_PRODUCERS

    public static final String NUM_PRODUCERS

Number of producers

See Also:
  Constant Field Values

#### PKT_BYTES_IN

    public static final String PKT_BYTES_IN

Pkt bytes in

See Also:
  Constant Field Values

#### PKT_BYTES_OUT

    public static final String PKT_BYTES_OUT

Pkt bytes out

See Also:
  Constant Field Values

#### THREAD_POOL_MODEL

    public static final String THREAD_POOL_MODEL

Thread pool model

See Also:
  Constant Field Values